      subroutine integrate(ndim,ncomp,vegasrout)
      implicit none 
#include "numcomp.inc"



      double precision seed
      
      external vegasrout


      seed = 0
C      statefile = "vegas_last_iter"
   
      epsrel = 0.1d0
      epsabs = 0.000001d0
      ntherm = 7 
      nref   = 1
      nstart = 5000
      nincrease = 0 
      neval = 50000000
      deadtime = 0 



      call pavegas(ndim,ncomp,vegasrout,epsrel/1d0,epsabs,deadtime,
     &     ntherm,nref,nstart,nincrease,neval,fail,
     &     integral,error,prob)
      


      end
